<template>
    <div class="container pr">
        <div class="column-archivos">
            <table class="table table-bordered table-files">
                <thead id="head">
                    <tr>
                        <th>
                            <i 
                                class="fas fa-arrow-left" 
                                style="width: 30px; cursor: pointer;"
                                @click="ocultarTabla()"
                            ></i>
                            Nombre Archivo
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr 
                        v-for="(archivo, index) in archivos" 
                        :key="index"
                    >
                        <td v-if="archivo.tipo == 'application/pdf'"
                            style="cursor: pointer;"
                            @click="verArchivo(archivo.url_ubicacion)">
                            <img :src="ruta + '/img/iconos/Documento.png'"> 
                            {{ archivo.nombre }}
                        </td>
                        <td v-else-if="archivo.tipo == 'image/jpeg'"
                            style="cursor: pointer;"
                            @click="verArchivo(archivo.url_ubicacion)">
                            <img :src="ruta + '/img/iconos/Documento.png'"> 
                            {{ archivo.nombre }}
                        </td>
                        <td v-else-if="archivo.tipo == 'image/png'"
                            style="cursor: pointer;"
                            @click="verArchivo(archivo.url_ubicacion)">
                            <img :src="ruta + '/img/iconos/Documento.png'"> 
                            {{ archivo.nombre }}
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="visualizador-container">
            <iframe 
                :src="urlUbicacion"
                style="display: block; width: 100%; height: 100%;"
                frameborder="0" 
                scrolling="no"
                seamless="seamless"
            >
            </iframe>
        </div>
    </div>
</template>

<script>
export default {

    props: {
        ruta: {
            type: String,
            default: ''
        },
        archivos: {
            type: Array,
            default: []
        },
        currentArchivo: {
            type: Object,
            default: null
        }
    },

    watch: {
        currentArchivo: function (val) {
            
            this.urlUbicacion = 'https://digidocs-app.s3.us-east-2.amazonaws.com/'+val.url_ubicacion;
        },
    },

    data: () => {
        return {
            urlUbicacion: ""
        }
    },

    methods: {
        ocultarTabla() {
            this.$emit('ocultar-tabla');
        },

        verArchivo(url_ubicacion) {
            this.urlUbicacion = 'https://digidocs-app.s3.us-east-2.amazonaws.com/'+url_ubicacion;
        }
    }
}
</script>

<style scoped>
.container {
    display: flex;
}
.table-container {
    width: 45%;
}
.visualizador-container {
    width: 45%;
}
</style>